<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class histogram_block_block_Core {
  static function get_site_list() {
    return array(
		"histogram" => t("Histogram"));
	}

  static function get($block_id, $theme) {
    if($theme->item()) {
	  $item = $theme->item;
	  if($item->is_photo() || $item->is_movie()){
        $block = "";
        switch ($block_id) {
		case "histogram":
          $block = new Block();
          $block->css_id = "g-histogram-current";
          $block->title 		= module::get_var("histogram", "title");
	      $block->content 		= new View("histogram.html");
		  $block->content->path 	= $theme->item->resize_path();
		  $block->content->width	= module::get_var("histogram", "width");
		  $block->content->height	= module::get_var("histogram", "height");
		  $block->content->color	= module::get_var("histogram", "color");
		  $block->content->bgcolor	= module::get_var("histogram", "bgcolor");
        break;
        }
      return $block;
      }
    }
  }
}  